<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bResponsable,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoResponsables")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>	
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	String sql = "", codigo, mensaje, accion;
	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje");
	m05bResponsable responsable = null;

	if ( (codigo==null) || (codigo.equals("")) ) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bResponsable");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		responsable = (m05bResponsable)session.getAttribute("m05bResponsable");
	}
    PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 9));</script>");
	}
	outMsg.close();	
	if (responsable == null){
		responsable = new m05bResponsable();
		session.setAttribute("m05bResponsable",responsable);
	}
	String cargo=responsable.getRes_cargo();
	if (cargo==null)
		cargo="";
	String cargoEu=responsable.getRes_cargoEu();
	if (cargoEu==null)
		cargoEu="";
	String nombre=responsable.getRes_nombre();
	if (nombre==null)
		nombre="";
    if (accion.equals(m05bConstantes.ACC_INSERTAR)){	
        m05bGenerarClave miID = new m05bGenerarClave();
       	String Auxiliar="to_number(" + m05bConstantes.COL_26_CODIGO + ")";
        codigo = ""+miID.getNextId(m05bConstantes.TAB_FIRMAS, Auxiliar);}
%>

 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_RESPONSABLES%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelResponsables")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_RESPONSABLES%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoResponsables")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formResponsable" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					       <% if (!codigo.equals(""))  {  %>
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
					      <%}else{%>
					      	  <td align="right">&nbsp;</td>
					      <%}%>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
				
						  <% if (accion.equals(m05bConstantes.ACC_INSERTAR)) {  %>
						      	<p>  <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="15" maxlength="5"/> </p>
						  <% } 
						  	else  { %>
						      	<p> <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=responsable.getRes_codigo()%>" size="15" maxlength="5"/> </p>
					      <%  }  %>     
					      <p> <label class="inputFieldTitle"><%= res.getString("etCargo")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Cargo" VALUE="<%=cargo%>" size="50" maxlength="100"/> </p>
					        <p> <label class="inputFieldTitle"><%= res.getString("etCargoEu")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="CargoEu" VALUE="<%=cargoEu%>" size="50" maxlength="100"/> </p>
					      <p> <label class="inputFieldTitle"><%= res.getString("etNombre")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Nombre" VALUE="<%=nombre%>" size="50" maxlength="100"/> </p>
					 
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
     function fncGrabar(codigo,accion) {
        var docu = document.formResponsable;
 	 
		if(docu.Cargo.value==""||docu.CargoEu.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Cargo.focus();
			return;
		}
		if(existeCaracter(docu.Cargo.value,"\'")||existeCaracter(docu.Cargo.value,'\"')||existeCaracter(docu.CargoEu.value,"\'")||existeCaracter(docu.CargoEu.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Cargo.focus();
			return;
		}	
		if(docu.Nombre.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Nombre.focus();
			return;
		}
		if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Nombre.focus();
			return;
		}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
        document.formResponsable.action="m05bGrabarResponsableServlet?Codigo=" + codigo + "&Accion=" + accion;
        document.formResponsable.submit();
     } // Fin funcion fncGrabar

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>